Subject: bug#60085: 30.0.50; `help-enable-autoload' is not fully obeyed

From: Ihor Radchenko <[email-masked]>
Date: Thu, 15 Dec 2022 08:58:23 +0000

Hi,

This bug report is a follow-up from
https://orgmode.org/list/[email-masked] where
Stefan stated the following:

> >     Like I said in another message that I sent just before receiving yours
> >     my conclusion came from the fact that hitting 'C-h v' with the cursor
> >     on 'org-goto-interface' provided nothing.  It was the first time this
> >     ever happened to me.  I did try to explicitly enter the variable's
> >     name by entering 'org-goto<TAB>', which (like 'org-go<TAB>') is not
> >     enough: it is completed to 'org--goto'.
> 
> AFAICT this is a missing feature: we obey `help-enable-autoload` in
> `describe-function` but we fail to do the same autoloading dance in
> `describe-variable`.

Recipe 1:

1. emacs -Q
2. Type "debug-on-error"
3. C-h v
4. Observe "Describe variable (default debug-on-error): "
5. C-g
6. <RET> org-mouse-map
  (note that org-mouse.el is not auto-loaded)
7. C-h v
8. Observe "Describe variable: "
   Expected: "Describe variable (default org-mouse-map): "

Recipe 2:

1. emacs -Q
2. Type C-h v org-go <TAB>
3. Observe "Describe variable: org--goto"
4. C-g
5. M-: (require 'org-goto)
6. C-h v org-go <TAB>
7. Observe "Describe variable: org-goto-"

7 is expected at 3.

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.35, cairo version 1.17.6) of 2022-12-07 built on localhost
Repository revision: f0e118d3f676afe39df29663399d4bbe8f53f208
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Gentoo Linux

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>